#!/bin/sh

PATH=/sbin:/usr/sbin:/bin:/usr/bin

WIFNAME=$1
TYPE=$2

WPS_STATUS_PATH="/tmp/jail/tmp/wps.stat"

wps_action() {
	case "${1}" in
	'pbc')
		echo " WPS_ACTION PBC" > /dev/console
		sxsysconf -f ${WPS_STATUS_PATH} -w INPROG LASTSTAT
		sxsysconf -f ${WPS_STATUS_PATH} -w "${1}" METHOD
                # Restore user mode read permission stomped by sxsysconf
                chmod 666 ${WPS_STATUS_PATH}
		hostapd_cli -B -i ${WIFNAME} wps_pbc > /dev/null
		;;
	'pin')
		echo " WPS_ACTION PIN" > /dev/console
		sxsysconf -f ${WPS_STATUS_PATH} -w INPROG LASTSTAT
		sxsysconf -f ${WPS_STATUS_PATH} -w "${1}" METHOD
		sxsysconf -f ${WPS_STATUS_PATH} -w "${2}" ENROLLEEPIN
                # Restore user mode read permission stomped by sxsysconf
                chmod 666 ${WPS_STATUS_PATH}
		hostapd_cli -B -i ${WIFNAME} wps_pin any ${2} > /dev/null
		;;
	*)
		echo " ${1}" > /dev/console
		;;
	esac
}

case "${TYPE}" in
'wps')
	wps_action ${3} ${4}
	;;
*)
	echo "${TYPE}" > /dev/console
	;;
esac

