#!/bin/sh -x

PATH=/sbin:/usr/sbin:/bin:/usr/bin



#
# Include IP configuration to get protocol enables
#
if [ -e /etc/init.d/ipconfig ] ; then
	cp /etc/init.d/ipconfig /tmp/ipconfig
	. /etc/init.d/ipconfig
	hostname "$HOSTNAME"
fi

USESXSMP=${USESXSMP:-1}

if [ $USESXSMP -ne "0" ] ; then
    if [ -x /etc/init.d/sxsmpd.sh ]; then
        . /etc/init.d/sxsmpd.sh make_productfile /etc/silex/sxsmpd.conf
        . /etc/init.d/sxsmpd.sh start /etc/silex/sxsmpd.conf
    else
        echo "sxsmpd.sh not found, no AMCM support" > /dev/console
    fi
fi

exit 0
