#!/bin/sh

WDOG_BB_ACTION=/etc/init.d/bb6k4_watchdog.sh

echo "[Watch Dog] bbsd320" > /dev/console

. /tmp/ifname

if [ -r /etc/init.d/bridge.conf ] ; then
	. /etc/init.d/bridge.conf
fi

if [ "${USEBRIDGE}" = "1" -o $ifname = "wlan0" ] ; then
	/etc/init.d/wpa_cli_action.sh wlan0 disconnect
	sleep 1
fi

/opt/bbsd320 -d -i $ifname

cnt=0
while [ $cnt -ne 30 ]; do
	killall -0 bbsd320
	if [ $? -eq 0 ] ; then
		break
	fi
	usleep 100000
	cnt=`expr ${cnt} + 1`
done

PID=`ps | grep /opt/bbsd320 | head -n1 |  sed -e 's/^ *//' -e 's/ .*//'`
/usr/sbin/sxwdogprcd -D -i 5 -a ${WDOG_BB_ACTION} ${PID}
	echo "Restart BB Watchdog timer(bbsd320:$PID)" > /dev/console

if [ "${USEBRIDGE}" = "1" -o $ifname = "wlan0" ] ; then
	/etc/init.d/wpa_cli_action.sh wlan0 reconnect
fi
